Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6995 - rc.sysinit shouldn't try to use sysrq if it doesn't exist
Summary: rc.sysinit shouldn't try to use sysrq if it doesn't exist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-14 15:21 UTC by Jonathan Kamens
Modified: 2014-03-17 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-15 16:52:47 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 1999-11-14 15:21:04 UTC
The code that tries to turn off sysrq in rc.sysinit should read as follows:

# Turn off sysrq
if [ "$MAGIC_SYSRQ" = "no" -a -e /proc/sys/kernel/sysrq ]; then
        echo "0" > /proc/sys/kernel/sysrq
fi

The addition of "-a /proc/sys/kernel/sysrq" ensures that the script won't
try to disable sysrq if it isn't compiled into the current kernel.

Comment 1 Bill Nottingham 1999-11-15 16:52:59 UTC
already fixed in the errata release...


Note You need to log in before you can comment on or make changes to this bug.